# Apache Gravitino Roadmap

## 2024 Roadmap

As of March 2024, this is the current roadmap for the Apache Gravitino project. Please note that Gravitino is an open-source project and relies on the collective efforts of both community contributors and paid developers to shape its future features and direction. While we strive to keep this roadmap up-to-date, it is best seen as a general guide for future developments rather than an exhaustive list of planned features. The Gravitino community may decide to alter the project's direction or prioritize other features that are not listed here.

## First half of 2024 (January-June) - Make Gravitino ready for production environment

### Q1 (January-March)

- Release Gravitino 0.4.0 with support for partitions, improved Gravitino UI, Kerberos and query optimisation.
- Release Gravitino 0.5.0 with non-tabular data catalog, messaging data catalog support, and Spark engine support. (Now mid April)
- Implement user/privilege support (basic framework).
- Encourage and support community’s work on integrating MySQL, Python API, Apache Doris, Apache Kafka and Apache Paimon.

### Q2 (April-June)

- Join the Apache Software Foundation as an incubating project.
- Release Gravitino 0.6.0 with native storage support (HMS compatible), and privilege support (Apache Ranger).
- Implement support for a basic data compliance framework.
- Continue to encourage and support community work.

## Second half of 2024 (July-December) - Improve Apache Gravitino features

### Q3 (July-September)

Continue to improve and expand the features of Gravitino, including adding more functionality to the data compliance framework.

### Q4 (October-December)

Refine and polish Gravitino based on user feedback and market/community demands.

Apache, Apache Doris, Apache Kafka, Apache Spark, Apache Ranger, Apache Paimon are either registered trademarks or trademarks of The Apache Software Foundation in the United States and other countries.
